#ifndef _KGR_PATCH_BSC1119947_H
#define _KGR_PATCH_BSC1119947_H

#include "kgr_patch_bsc1119947_sunrpc.h"
#include "kgr_patch_bsc1119947_auth_rpcgss.h"
#include "kgr_patch_bsc1119947_nfsv4.h"

int kgr_patch_bsc1119947_init(void);
void kgr_patch_bsc1119947_cleanup(void);


#define KGR_PATCH_BSC1119947_FUNCS			\
	KGR_PATCH_BSC1119947_SUNRPC_FUNCS		\
	KGR_PATCH_BSC1119947_AUTH_RPCGSS_FUNCS		\
	KGR_PATCH_BSC1119947_NFSV4_FUNCS		\


struct svc_rqst;

struct net *kgr_svc_net(struct svc_rqst *rqstp);
void kgr_shadow_rq_bc_net_set(struct svc_rqst *rqstp, struct net *net);
void kgr_shadow_rq_bc_net_destroy(struct svc_rqst *rqstp);

#endif /* _KGR_PATCH_BSC1119947_H */
